Subject: Re: bug#64420: string-width of … is 2 in CJK environments

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Aug 2023 21:36:53 +0300

> From: Yuan Fu <[email-masked]>
> Date: Fri, 11 Aug 2023 11:07:26 -0700
> Cc: [email-masked],
>  [email-masked],
>  [email-masked]
> 
> On terminal, I saw an interesting option, “Ambiguous characters are double-width” (terminal-setting.png), which is the same as cjk-ambiguous-chars-are-wide. If I turn it on all the ambiguous characters are indeed displayed in double-width. (terminal-narrow.png, terminal-wide.png)

And in that case, you need to set cjk-ambiguous-chars-are-wide non-nil
to have Emacs display those characters correctly?  Or does that option
have no effect on the correctness of the |Emacs display on that
terminal?

> On GUI display, the later-half of the ambiguous characters are definitely wider than one char, but they aren’t quite 2 chars wide either. But I guess it doesn’t matter too much since one should use pixel size on GUI anyway.

Is the actual width closer to 1 or to 2?

Thanks.